intrepid madwifi ath5k with AR242x not detecting all wireless networks and link speed is very poor

Bug #275423 reported by lod on 2008-09-28
54
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux-backports-modules-2.6.27 (Ubuntu)
Undecided
Unassigned
madwifi-tools (Ubuntu)
Undecided
Unassigned

Bug Description

I'm testing Intrepid on laptop with atheros AR242x chipset

02:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)

The madwifi driver, Intrepid is using detects the chipset and it's working but not so good.
1. It only detects AP broadcasting on channels 1-10, my wifi was working on channel 13 and i had to change the channel to lower one.
2. the AP is in the same room I am, but:
wlan0 IEEE 802.11bg ESSID:"lod.air"
          Mode:Managed Frequency:2.447 GHz Access Point: 00:0E:2E:AF:A7:CF
          Bit Rate=24 Mb/s Tx-Power=27 dBm
          Retry min limit:7 RTS thr:off Fragment thr=2352 B
          Power Management:off
          Link Quality=78/100 Signal level:-55 dBm Noise level=-105 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:0 Missed beacon:0

pan0 no wireless extensions.

my Rate is only 24Mb/s and the real speed is not more than 300kb/s. It's killing me..

I've tried the old madwifi driver I was using in Hardy but it can't compile.

I will provide any info you want..

lod (altoas) wrote :
Download full text (3.6 KiB)

noticed in dmesg:

[ 24.625953] ath5k_pci 0000:02:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[ 24.625966] ath5k_pci 0000:02:00.0: setting latency timer to 64
[ 24.626005] ath5k_pci 0000:02:00.0: registered as 'phy0'
[ 24.630376] ath5k phy0: Support for RF2425 is under development.
[ 24.700788] phy0: Selected rate control algorithm 'pid'
[ 24.843889] ath5k phy0: Atheros AR2425 chip found (MAC: 0xe2, PHY: 0x70)
[ 24.869624] ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
[ 24.882592] wlan: 0.9.4
[ 24.890582] ath_pci: 0.9.4
[ 614.303734] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 966.303846] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 997.004026] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 1018.301430] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 1079.299800] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 1141.299828] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 1152.299895] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 1163.004029] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 1184.004033] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 1195.004032] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 1307.299800] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 1318.300934] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 1329.299819] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 1410.303746] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 1451.299862] ath5k phy0: noise floor calibration timeout (2447MHz)
[ 1492.299814] ath5k phy0: noise floor calibration timeout (2447MHz)
...

Read more...

Paolo (paolomon) wrote :

same to me... home wireless not detected with the "noise floor calibration" error
i had to blacklist ath5k in /etc/modprobe.d/blacklist

lod (altoas) wrote :

blacklisting ath_pci, may solve the problem.

Paolo (paolomon) wrote :

nothing to do... blacklisting ath_pci the error come back...
dmesg:

[ 17.242474] ath5k_pci 0000:06:02.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[ 17.242521] ath5k_pci 0000:06:02.0: registered as 'phy0'
[ 18.069156] ath5k phy0: Atheros AR2413 chip found (MAC: 0x78, PHY: 0x45)
[ 39.072085] ath5k phy0: noise floor calibration timeout (2412MHz)
[ 39.072093] ath5k phy0: unable to reset hardware: -11
[ 39.443868] ath5k phy0: noise floor calibration timeout (2412MHz)
[ 39.443875] ath5k phy0: unable to reset hardware: -11

coubi64 (frederic-valentin) wrote :

Problem related here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/267761

I still have the problem:

[ 501.381599] ath5k phy0: ath5k_chan_set: unable to reset channel (2462 Mhz)
[ 501.381603] ath0: failed to set freq to 2462 MHz for scan
[ 505.381270] ath0: No ProbeResp from current AP d6:62:26:57:a1:54 - assume out of range
[ 506.495975] ath0: authenticate with AP d6:62:26:57:a1:54
[ 506.497710] ath0: authenticated
[ 506.497717] ath0: associate with AP d6:62:26:57:a1:54
[ 506.503215] ath0: RX ReassocResp from d6:62:26:57:a1:54 (capab=0x411 status=0 aid=1)
[ 506.503221] ath0: associated

Linux PC-portable-PB 2.6.27-6-generic #1 SMP Tue Oct 7 04:15:04 UTC 2008 i686 GNU/Linux
frederic@PC-portable-PB:~$

Intrepid Ibex with 2.6.27-6 kernel

Paolo wrote:
> nothing to do... blacklisting ath_pci the error come back...
> dmesg:
>
>
> [ 17.242474] ath5k_pci 0000:06:02.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
> [ 17.242521] ath5k_pci 0000:06:02.0: registered as 'phy0'
> [ 18.069156] ath5k phy0: Atheros AR2413 chip found (MAC: 0x78, PHY: 0x45)
> [ 39.072085] ath5k phy0: noise floor calibration timeout (2412MHz)
> [ 39.072093] ath5k phy0: unable to reset hardware: -11
> [ 39.443868] ath5k phy0: noise floor calibration timeout (2412MHz)
> [ 39.443875] ath5k phy0: unable to reset hardware: -11
>
>
your chip is different arch, maybe you must use different driver

lod (altoas) wrote :

you are right, blacklisting ath_pci, doesn't solve the problem. i wonder when will someone mark this bug as critical?

nclm (nclm) wrote :

I've now experienced a much better performance and no more error messages in dmesg since I've installed the linux-backports-modules-intrepid-generic package after Loïc Minier told in Bug #275692 that there's a newer version of ath5k in the backports-modules pkg.

I've still blacklisted ath_pci.

Antoine Pairet (b-ly) wrote :

As far as I am concerned, ath5k does not work, while ath_pci does. (29 10 2008)

In attachment, is the errors in dmesg, hope it will help!

nclm (nclm) wrote :

After the latest update of the linux-backports-modules package with the new wireless-compat, the messages from Antoines log, I had too before, are gone and the connection is rock solid. I don't even experience packet loss anymore - I had a few with ath_pci before

Antoine Pairet (b-ly) wrote :

After the message of nclm, I decided to retest the ath5k driver from the backported modules. As the updates of 6 november, I was able to connect, but the connection was not stable and unusable. The dmesg is attached.

nclm (nclm) wrote :

The backports package was updated again because the first time the new wireless compat was not included. From changelog:

  * Really update to wireless-testing master-2008-10-31
    Somehow either git failed me, or it was pilot error,
    but the last upload wasn't master-2008-10-31. This also
    includes the b44 driver.
    -LP: #293217

Please try again updating the package...

Please try the how to on my blog:

http://madberry.org/2008/11/how-to-get-atheros-ar242x-to-work-on-810-intrepid-ibex/

I'm using this my self works great. Not a solution but a very good work around.

[mad]Berry

I have the new emachines D620 ($299 on sale last week at BestBuy).
Atheros wifi is as follows according to Gentoo - lspci:
05:00.0 Ethernet controller: Atheros Communications, Inc. AR5006EG 802.11 b/g Wireless PCI Express Adapter (rev 01)
Under Mint or Ubuntu it shows up in LSPCI as the AR242x
Gentoo dmesg shows: ath5k phy0: Atheros AR2425 chip found (MAC: 0xe2, PHY: 0x70)

Using ath5k

With both Mint (5-r1 fully updated with Mint Update and running Kernel 2.6.24-21) and Xubuntu x86 8:10, the wireless works perfectly after installing the backports. No other manual tweaking required.

Getting this running under Gentoo was much more difficult and still not perfect. However, it does work pretty well with the current unstable kernel 2.6.27-gentoo-r3 (also -r2). However, upon bringing up the interface, after a little delay I need to run "iwconfig wlan1 rate 11M" after which I get a stable interface with no packet loss and good speed. So, the current kernel driver is having trouble setting and holding the rate initially, but the Ubuntu backports module works perfectly as far as this user can tell.

Antoine Pairet (b-ly) wrote :

After one month of using ath5k, here are some more informations. The version I use is included in backports modules on intrepid: 2.6.27.10.13

* still have errors in dmesg
* link speed always of 1Mb/sec though it should be 54
* at home: WEP 128: link quality varies though always used under the same conditions
* at university: WPA2, PAP
     * detect networks correctly, but is not always able to get an IP
     * frequent breakage; sometimes a power off / power on is required because the hardware can not be reseted (message from dmesg)
     * even freeze (kernel hang?) are experienced since a few days: the computer is completely blocked, I need to press the power button and reboot.

If any other information is required I will provide them.
Thanks,

Antoine Pairet (b-ly) on 2008-11-27
Changed in linux-backports-modules-2.6.27:
status: New → Confirmed
Antoine Pairet (b-ly) wrote :

Using a newer version of the driver removes the error in dmesg. I followed this guide:
http://madberry.org/2008/11/how-to-get-atheros-ar242x-to-work-on-810-intrepid-ibex/

link speed reported by NM is now oscillating between 5 and 24 Mb/sec

Should backported modules in intrepid be updated?

Fabrice Coutadeur (fabricesp) wrote :

Hi,

I confirm that installing the latest version of compat-wireless, it's working fine.
I think that backport modules should updated

Antoine Pairet (b-ly) wrote :

In fact I still experience problems with the newer versions (compat-wireless 2008-12-02). I opened a new bug here
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/304908

I'm confused with the following; lspci reports the chipset to be
Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)

However, looking at the logs I got:
Dec 3 12:49:38 portant kernel: [ 14.188845] ath5k phy0: Atheros AR5414 chip found (MAC: 0xa0, PHY: 0x61)

I hope a did the right thing by opening a new bug. If not please mark is as duplicate and accept my excuses.
regards,

Antoine Pairet (b-ly) wrote :

These 2 kernel bugs deal with ath5k problem related to the problems described here.
http://bugzilla.kernel.org/show_bug.cgi?id=12080
http://bugzilla.kernel.org/show_bug.cgi?id=12068
Should this bug (launchpad) be linked to one of these?
regards,
Antoine

Antoine Pairet (b-ly) wrote :

http://bugzilla.kernel.org/show_bug.cgi?id=12080
Bob Copeland has written a patch to prevent hardware reset failure. I've tested it with compat-wireless-2008-12-24 and it works pretty fine. More information on kernel bug tracker is available.

Is it possible to have this patch applied in Ubuntu?

Lorenco Trichardt (trichalo) wrote :
Download full text (4.7 KiB)

I am seeing this in Jaunty as well. Even now with the latest updates.
It seems to happen when I raom from one AP to the next.

It renders the card useless in that I need to do a hard shutdown (Power down) in order to reset the card.

It then works again.

uname -a
Linux tux 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686 GNU/Linux

Apr 20 17:41:22 tux kernel: [ 1134.413027] wlan0: authenticate with AP 00:80:48:7e:07:00
Apr 20 17:41:22 tux kernel: [ 1134.414443] wlan0: authenticated
Apr 20 17:41:22 tux kernel: [ 1134.414449] wlan0: associate with AP 00:80:48:7e:07:00
Apr 20 17:41:22 tux kernel: [ 1134.416559] wlan0: RX ReassocResp from 00:80:48:7e:07:bc (capab=0x421 status=0 aid=1)
Apr 20 17:41:22 tux kernel: [ 1134.416568] wlan0: associated
Apr 20 17:41:24 tux NetworkManager: <debug> [1240242084.776621] periodic_update(): Roamed from BSSID 00:80:48:7E:1F:.... to 00:80:48:7E:07........
Apr 20 17:41:43 tux NetworkManager: <debug> [1240242084.776621] periodic_update(): Roamed from BSSID 00:80:48:7E:1F:.... to 00:80:48:7E:07........
Apr 20 17:41:49 tux NetworkManager: <debug> [1240242084.776621] periodic_update(): Roamed from BSSID 00:80:48:7E:1F:.... to 00:80:48:7E:07........
Apr 20 17:42:19 tux NetworkManager: <debug> [1240242084.776621] periodic_update(): Roamed from BSSID 00:80:48:7E:1F:.... to 00:80:48:7E:07........
Apr 20 17:42:31 tux NetworkManager: <debug> [1240242084.776621] periodic_update(): Roamed from BSSID 00:80:48:7E:1F:.... to 00:80:48:7E:07........
Apr 20 17:43:19 tux NetworkManager: <debug> [1240242084.776621] periodic_update(): Roamed from BSSID 00:80:48:7E:1F:... to 00:80:48:7E:07........
Apr 20 17:43:31 tux NetworkManager: <debug> [1240242084.776621] periodic_update(): Roamed from BSSID 00:80:48:7E:1F:.... to 00:80:48:7E:07........
Apr 20 17:44:43 tux NetworkManager: <debug> [1240242084.776621] periodic_update(): Roamed from BSSID 00:80:48:7E:1F:.... to 00:80:48:7E:07........
Apr 20 17:44:49 tux NetworkManager: <debug> [1240242084.776621] periodic_update(): Roamed from BSSID 00:80:48:7E:1F:.... to 00:80:48:7E:07........
Apr 20 17:46:19 tux NetworkManager: <debug> [1240242379.003371] periodic_update(): Roamed from BSSID 00:80:48:7E:07:... to (none) ((none)) Apr 20 17:54:37 ibmtux kernel: [ 1928.960552] wlan0: authenticate with AP 00:80:48:7e:1f:d0
Apr 20 17:54:37 tux kernel: [ 1929.160354] wlan0: authenticate with AP 00:80:48:7e:1f:d0
Apr 20 17:54:37 tux kernel: [ 1929.194714] wlan0: authenticated
Apr 20 17:54:37 tux kernel: [ 1929.194725] wlan0: associate with AP 00:80:48:7e:1f:d0
Apr 20 17:54:37 tux kernel: [ 1929.392145] wlan0: associate with AP 00:80:48:7e:1f:d0
Apr 20 17:54:37 tux kernel: [ 1929.456824] wlan0: RX ReassocResp from 00:80:48:7e:1f:d0 (capab=0x421 status=0 aid=1)
Apr 20 17:54:37 tux kernel: [ 1929.456831] wlan0: associated
Apr 20 17:56:28 tux kernel: [ 2039.697940] wlan0: authenticate with AP 00:80:48:7e:1f:d0
Apr 20 17:56:28 tux kernel: [ 2039.744970] wlan0: Failed to config new BSSID to the low-level driver
Apr 20 17:56:28 tux kernel: [ 2039.773468] phy0: failed to set freq to 2412 MHz for scan
Apr 20 17:56:28 tux kernel: [ 2039.810841] phy0: failed to set freq to 2417 MHz for scan
Apr ...

Read more...

Christiansen (happylinux) wrote :

I can second that of Mr. Lorenco Trichardt above for both Jaunty and Karmic.
Using the ath5k default of Kubuntu 9.04 updated as of today, the log is filled with the same "failed to set fr....". Experiencing the same issue with Karmic alpha 1 updated as of yesterday too.

Running madwifi driver works okay, but txpower remains 8mW as stated elsewhere, and of course lower the bandwidth remarkable on longer distances from the AP.

Marco Diaz (zethabyte) wrote :

In my ubuntu 9.04 with Atheros AR242x ; I have similar error.

I solved the problem as follows:

Download the package http://snapshots.madwifi-project.org/madwifi-hal-0.10.5.6/madwifi-hal-0.10.5.6-r4068-20090705.tar.gz

decompress and install.

Activate the module: modprobe ath_pci

Edit the file /etc/modules and add: ath_pci

Reboot ...

And wireless networks work without problem ..

affects: linux-restricted-modules (Ubuntu) → madwifi-tools (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.